Create card in LMS

This request creates a card in LMS only and associates it with a line of credit account.

   Click here to learn more about this request

From a LoanPro perspective (and a real-world one, too), a Card is an instrument for accessing funds tied to a line of credit account. Thus, line of credit accounts can be associated with cards to track transactions like swipes. Note the following when using this request:

This request is one of two ways to create a card via the LMS API. This request creates a card only in LMS and not in Secure Payments. Essentially, this request creates a placeholder for a card in LMS if the card originates from an other system.

Sending this request will associate the card with multiple entities: a line of credit account, a customer, and a Bucket for cash advance transactions.

To create a card within LMS and Secure Payments simultaneously, use the POST Create Card in LMS + Secure Payments version of this request.

{
    "entityType": "Entity.LineOfCredit",
    "entityId": 82983,
    "bucketId": 1,
    "customerId": 2245,
    "cardName": "Card for Account 82983",
    "merchantCardToken": null,
    "merchantCardId": null,
    "programId": 3
}
Body Params
string
enum
required

The type of the entity that the card will be associated with. In this context, the card will always be associated with a line of credit account.

Allowed:
int32
required

The ID of the entity that the card will be associated with. In this context, the card will always be associated with a line of credit account.

int32
required

The ID of the Bucket that cash advance transactions will be assigned to.

int32
required

The ID of the customer that the card will be associated with.

string
required

The name or "title" of the card. This is used to differentiate the card from others.
Limited to 45 characters.

int32
required

The ID of the Secure Payments Card Program that the card will be associated with. Card Programs also determine default Card settings.

string

The UUID that represents the card within Secure Payments. Providing a UUID here creates a link between an existing card in Secure Payments.
> To retrieve a card's UUID, see Get job updates ↗

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json